Bug 51324 - nice changes from mandrake rpm
nice changes from mandrake rpm
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: mailman (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-09 10:33 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 10:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-09 10:33:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
hi nalin, I have to install mailman from a mandrake rpm to get it to work 
like a charm with postfix...
some nice things from mandrake rpm:

- it doesn't add a mailman user, it just uses the "mail" user
  (very nice for postfix)
- it adds the file /etc/httpd/conf/mailman.conf so you just
  "Include conf/mailman.conf" in httpd.conf

also, it install on /var/lib (not in /var), but I guess this
point is discussable (but redhat install major subsystems in
/var/lib, ldap, pgsql, dhcp ...)


How reproducible:
Always

Steps to Reproduce:
1. Install mailman rpm
2.
3.
	

Additional info:
Comment 1 Nalin Dahyabhai 2002-04-05 17:30:59 EST
Using a separate user is historic, and  generally preferred for limiting
privileges.  The location of the files is historic, and I've found that moving
them causes large problems for upgrading.  Those probably aren't going to
change.  Storing the httpd configuration specific to mailman in a file and
including it in httpd.conf is a good change, though, so it'll be made for
2.0.9-1.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.